Bug 76545 - Error produced at logout
Error produced at logout
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-10-23 00:50 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-25 01:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-23 00:50:13 EDT
Description of Problem: following error message received when logging out of 
Gnome Desktop:
(nautilus:902):Gtk-Critical**:file gtkwidget.c: line 2933 (gtk_widget_event):
assertion 'WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
Waiting for X server to shutdown  The application 'gnome-panel' lost its 
connection to the display: 0,0;
Most likely X server was shutdown or you killed/destroyed the application

Version-Release number of selected component (if applicable): Red Hat Linux 8

How Reproducible: happens every time at logout no matter which account is 
chosen and must manually logout of account.  Error still shows during a system 
shutdown, but system will shutdown and restart normally every time

Steps to Reproduce:
1. logout of Gnome session or system shutdown

Actual Results: does not appear to have adverse affect on system for restart 
but does require manual logout of account once I have exited from the Gnome 
desktop session

Expected Results:

Additional Information:
Comment 1 Josef Komenda 2002-10-24 10:18:25 EDT
Not really a RHN problem - more of a gnome-desktop problem.
Comment 2 Havoc Pennington 2002-10-24 11:23:16 EDT
These errors are harmless other than the annoyance of seeing them. If you're
having trouble with logout, it's unrelated to the error messages. Can you
clarify what happens when you logout?
Comment 3 Havoc Pennington 2002-10-25 01:20:52 EDT
Received via email: "What happens at logout is after all the error messages show
on the screen, I am at the command line prompt still logged in as the last user
of the system.  From there I have to type in the logout command in order to
change user accounts."

Are you starting GNOME via "startx"? If so then logout will only exit GNOME, 
not exit your session, which is the intended behavior. If you 
log in the usual way (via the graphical login screen), then 
your entire login session is made up of GNOME, so logging out of GNOME will end it.
Comment 4 Havoc Pennington 2002-10-25 18:09:29 EDT

Note You need to log in before you can comment on or make changes to this bug.